use test_context::{AsyncTestContext, TestContext};

pub(super) struct TestContextSync {}

impl TestContext for TestContextSync {
    fn setup() -> Self {
        Self {}
    }

    fn teardown(self) {}
}

pub(super) struct TestContextASync {}

impl AsyncTestContext for TestContextASync {
    async fn setup() -> Self {
        Self {}
    }

    async fn teardown(self) {}
}
